Name:           osbuild-auto
Version:        0.1.17
Release:        1%{?dist}
Summary:        Automotive stages for osbuild

License:        GPLv2+ AND MIT
URL:            https://gitlab.com/CentOS/automotive/src/osbuild-auto
Source0:        osbuild-auto-%{version}.tar.gz

BuildRequires:  make

Requires:       osbuild
BuildArch:      noarch

%description
Automotive stages for osbuild

%prep
%autosetup

%install
%make_install

%files
%{_prefix}/lib/osbuild/stages/*
%{_prefix}/lib/osbuild/*.py


%changelog
* Wed Apr 23 2025 Mark Kemel <mkemel@redhat.com> - 0.1.17-1
- Release 0.1.17

* Wed Apr  9 2025 Mark Kemel <mkemel@redhat.com> - 0.1.17
- Make the repo dist-git repo only

* Wed Mar 19 2025 Ian Mullins <imullins@redhat.com> - 0.1.16-1
- Bump version to 0.1.16
- Add org.osbuild-auto.unzboot stage
- Add org.osbuild-auto.dtb.set-node stage

* Tue Mar 18 2025 Milan Zamazal <mzamazal@redhat.com> - 0.1.15-1
- Add TOML Python writer

* Tue Jan 14 2025 Alexander Larsson <alexl@redhat.com> - 0.1.14-1
- Add kernel.remove-modules stage

* Wed Oct 9 2024 Ian Mullins <imullins@redhat.com> - 0.1.13-1
- Bump version to 0.1.13
- kernel: avoid using NETLINK_CRYPTO for hmac

* Thu Oct 3 2024 Ian Mullins <imullins@redhat.com> - 0.1.12-1
- Bump version to 0.1.12
- kernel: support overwriting existing keyring certificates

* Tue Aug 13 2024 Ian Mullins <imullins@redhat.com> - 0.1.11-1
- Bump version to 0.1.11

* Wed Jul 17 2024 Martin McConnell <mmcconne@redhat.com> - 0.1.10-1
- Add compress_kernel argument

* Fri Jun 28 2024 Alexander Larsson <alexl@redhat.com> - 0.1.9-1
- Add kernel signature stages

* Thu Apr 25 2024 Alexander Larsson <alexl@redhat.com> - 0.1.8-1
- Add ostree.pre-gen stage

* Tue Apr 23 2024 Eric Curtin <ecurtin@redhat.com> - 0.1.7-1
- Add vbmeta support

* Fri Apr 5 2024 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.6-1
- Add initoverlayfs.conf

* Wed Aug 16 2023 Alexander Larsson <alexl@redhat.com> - 0.1.5-1
- Update ostree stages to use base64 keys

* Tue Jul 18 2023 Eric Curtin <ecurtin@redhat.com> - 0.1.4-1
- Ensure writes are sync'd to disk

* Wed Jul 12 2023 Alexander Larsson <alexl@redhat.com> - 0.1.3-1
- Update ostree stages for userspace signature approach

* Thu Jun  1 2023 Alexander Larsson <alexl@redhat.com> - 0.1.1-1
- Update composefs.deploy stage for lazy signatures

* Wed May 31 2023 Alexander Larsson <alexl@redhat.com> - 0.1-2
- Fix description

* Wed May 24 2023 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial version
